Subject: Re: bug#51734: 29.0.50; got slow

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 12 Nov 2021 08:45:42 +0900

On Thu, 11 Nov 2021 15:30:51 -0500, Ken Brown wrote:
>> * src/atimer.c (set_alarm) [CYGWIN]: Don't start both timerfd and
>> alarms; this causes a slowdown.  (Bug#51734)

I verified this patch makes Emacs HEAD normal on Cygwin-64.
Thanks a lot!

On Thu, 11 Nov 2021 16:15:50 +0200, Eli Zaretskii wrote:
>> I did it and found the revision that causes this problem on at
>> least Cygwin-64.  That is d5bb053.  However,

> That's strange: that changeset changed just the docs, and the only
> changes in code are in xwidget.c (which your build shouldn't compile)
> and...

I seem to have tested Emacs too hastily or too much expectedly,
sorry.